# Published room types of a property

`GET /public/lodging/room-types` · Rivier · bookings

Published room types of a property.

- Scope: bookings:read
- Graphql: Query.publicRoomTypes
- Sdk: bookings.publicStay.roomTypes
- Cli: bookings public stay room types
- Publishable: yes

## Parameters

- `propertyId` (query, required), string

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X GET 'https://api.rivier.ai/public/lodging/room-types' \
  -H 'Authorization: Bearer $KEY'
```
